
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>“无限滚动加载”适用于你的产品吗？ / iVAN</title>

    <meta name="description" content="“无限滚动加载”适用于你的产品吗？ 在家一天天宅着,倒仍然能对周六周日有清晰的概念,也真是个奇迹. 今天带来一篇关于无限滚动加载的简短译文.其实这事儿,以前在微博上也吐过一阵的槽,印象最深的就是有次在一个什么网站上想点页脚里的&quot;关于我们&quot;,真心点不着,每每要点的时候上面自动加载的内容就顶下来,没完没了...当时就愤恨的琢磨着你们要这页脚有毛用啊?这次看到这篇文章,觉得里面有不少能引起自己共鸣的内容,所以拿过来做,希望也能给各位朋友带来些有用的东西吧.走着. 这里进入译文.怎样通过更友好的方式来呈现一系列的数据内 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">“无限滚动加载”适用于你的产品吗？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　在家一天天宅着，倒仍然能对周六周日有清晰的概念，也真是个奇迹。</p>
<p>　　今天带来一篇关于无限滚动加载的简短译文。其实这事儿，以前在微博上也吐过一阵的槽，印象最深的就是有次在一个什么网站上想点页脚里的“关于我们”，真心点不着，每每要点的时候上面自动加载的内容就顶下来，没完没了...当时就愤恨的琢磨着你们要这页脚有毛用啊?这次看到这篇文章，觉得里面有不少能引起自己共鸣的内容，所以拿过来做，希望也能给各位朋友带来些有用的东西吧。走着。</p>
<p>　　这里进入译文。怎样通过更友好的方式来呈现一系列的数据内容，包括文章、链接、图片、搜索结果等等——对于设计师来说，这不是一件很轻松的事。在这方面，页码导航(pagination)是一种经过时间验证的、还算值得信赖的解决方案。</p>
<p>　　不过最近几年，我们可以发现越来越多的网站开始使用无限滚动(infinite  scrolling)的方式来呈现内容了——当用户浏览到页面底部时，传统意义上的“下一页”数据会自动加载，并输出到当前页面中。</p>
<p>　　对于某些类型的网站或移动应用来说，无限滚动确实是一种不错的模式;但在在某些情况下，它也会造成灾难性的后果。</p>
<p>　　我们先来看一下无限滚动加载的优缺点。</p>
<p>　　优点</p>
<p>　　有效的降低了界面复杂度，节省了空间：我们不再需要臃肿复杂的页码导航链接或按钮了。</p>
<p>　　对触屏设备来说，交互方式更符合直觉：在移动应用的交互环境当中，通过向上滑动进行滚屏的操作已经成为最基本的用户习惯，而且所需要的操作精准程度远远低于点击链接或按钮。</p>
<p>　　更高的参与度：以上两点所带来的交互便捷性可以使用户将注意力更多的集中在内容而不是操作上，从而让他们更乐于沉浸在探索与浏览当中。</p>
<p>　　缺点</p>
<p>　　有限的用例：无限滚动的方式只适用于某些特定类型产品当中一部分特定类型的内容。例如，在电商网站当中，用户时常需要在商品列表与详情页面之间切换，这种情况下，传统的、带有页码导航的方式可以帮助用户更稳妥和准确的回到某个特定的列表页面当中。</p>
<p>　　额外的复杂度：那些用来打造无限滚动的JS库虽然都自称很容易使用，但你总会需要在自己的产品中进行不同程度的定制化处理，以满足你们自己的需求;另外这些JS库在浏览器和设备兼容性等方面的表现也参差不齐，你必须做好充分的测试与调整工作。</p>
<p>　　再见了，页脚：如果使用了比较典型的无限滚动加载模式，这就意味着你可以和页脚说拜拜了。最好考虑一下页脚对于你的网站，特别是用户的重要性;如果其中确实有比较重要的内容或链接，那么最好换一种更传统和稳妥的方式。千万不要耍弄你的用户，当他们一次次的浏览到页面底部，看到页脚，却因为自动加载的内容突然出现而无论如何都无法点击页脚中的链接时，他们会变的越发愤怒。</p>
<p>　　SEO：集中在一页当中动态加载数据，与一页一页的输出相比，究竟那种方式更利于SEO，这是你必须考虑的问题。对于某些以类型网站来说，在这方面进行冒险是很不划算的。</p>
<p>　　关于页面数量的印象：其实站在用户的角度来看，这一点并非负面;不过，如果对于你的网站来说，通过更多的内容页面展示更多的相关信息(包括广告)是很重要的策略，那么单页无限滚动的方式对你并不适用。</p>
<p>　　了解了相关的优缺点，接下来我们看一看我个人认为在无限滚动的运用方面比较到位的两个网站。</p>
<p>　　Twitter</p>
<p>　　Twitter适合采用无限滚动加载的一个重要原因，就是每个内容单元都很短小精炼，其本身就是内容整体，用户不需要在“列表索引”与“内容详情”  之间切换就可以获取全部信息，而且当鼠标悬停在某个内容条目范围内的时候，对应的操作(回复、删除、收藏等)就会呈现;所有内容与功能全部集中在当前的上下文环境中。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZTdkMjZkNzdlYTYwYmRhYzViNDNkOTQyN2I3OTRmYTkuanBn.jpg"><br />　　Tumblr</p>
<p>　　默认情况下，Tumblr是通过无限滚动的方式加载内容的，但他们在设置当中为用户提供了禁用无限滚动的选项，这种做法非常体贴。Tumblr的产品特色决定了其内容类型的广泛性，不同类型的用户所关注的内容在形式方面可能有很大的区别;允许用户自主设置内容加载方式的做法可以照顾到不同的用户群体。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTczNWNmYjJkMGRiZGZkYWUyNzBjN2I1OTcyNTMyNGIuanBn.jpg"><br />　　默认的无限滚动方式</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNDEzNTQxYzk4YjRlYmVlYmRiMGM5NTBhNTdlMTU5ZmIuanBn.jpg"><br />　　用户可以选择是否启用无限滚动</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vNmNkMGJjZWQ3NGFkNmM3NTM5NGUzNjU1YTc1ZDAwZDguanBn.jpg"><br />　　禁用后，回到页码导航的传统方式</p>
<p>　　下面是我个人认为不大适合采用无限滚动的例子。</p>
<p>　　Bing的图片搜索</p>
<p>　　与Google相仿，Bing在图片与视频的搜索结果页面当中采用了无限滚动加载的做法。不过当用户点击某张缩略图从而进入图片详情页面后，再回到搜索结果列表时会失去之前的定位，这使得用户必须重新滚动页面，寻找点击之前的位置。如果你的关键词会产生大量的搜索结果，这种方式将给你带来极大的不便。(现在Bing已经改变了这一做法，当用户点击了搜索结果中的缩略图时，会直接在当前页面输出包含大图及相关信息在内的弹出层;新的流程使用户不会再脱离当前环境  - 译者C7210小注)</p>
<p>　　YouTube</p>
<p>　　我爱YouTube的整体设计，同时也理解他们不断修改和调整设计方案的初衷，不过他们最近将首页的页码导航改为无限滚动的做法还是让我有些不爽。和Bing的问题类似，YouTube的实际内容(视频)是在一个独立的页面中的，用户显然不希望在看过一个视频后回到列表页面却发现列表重新加载了。</p>
<p>　　另外有些尴尬的是，YouTube的无限滚动加载不是那么的“自动”，用户需要点击一个按钮来使列表加载更多的视频内容;从某种角度上讲这不算坏，因为它确实是将控制权交给了用户，实现了类似前面提到的Tumblr的做法，但直接将无限滚动与手动触发结合在一起的形式多少有些不伦不类。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g1Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vZTg3YTliNTIwMTE4OWFlZjRmMzBmODcxYjY2MWRlYzcuanBn.jpg"><br />　　最佳实践</p>
<p>　　希望你能通过以上这些内容了解到自己的产品是否适合采用无限滚动加载的方式。如果答案是肯定的，那么下面这些要点也许可以帮助你避免掉实践当中的一些关键问题：</p>
<p>　　提供降级方案：前端开发人员要考虑到在特殊环境下JavaScrit无法正常运行的状况，提供平稳降级的解决方案。</p>
<p>　　可设置：如果可能的话，考虑向用户提供设置选项，方便他们选择最适合自己的浏览方式。这会让用户感到贴心，从而提升对你的产品的满意度与忠诚度。</p>
<p>　　视觉反馈提示：在自动加载新内容的时候，要向用户提供必要的视觉反馈，例如各种能够表达“加载中”的动画效果，否则用户将无法了解当前的状况;在没有视觉提示的情况下，如果加载时间过长，会让用户误以为接下来不再有内容了。</p>
<p>　　帮用户定位：不要因为用户访问内容详情并点击了浏览器上的回退按钮就失去掉之前的列表位置。如果确实没有办法做到，而这一点对你的产品又很重要，那么还是考虑传统方式为好。</p>
<p>　　测试：使用目标用户群有可能用到的各种设备进行测试，检验无限滚动加载方案的实际表现。</p>
<p>　　如需转载，请注明：本文来自Be For Web</p>
<p>　　英文原文： http://uxmastery.com/infinite-scrolling-fad-or-fab</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:34:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%88%b7/" title="用户">用户</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e6%bb%9a%e5%8a%a8/" title="滚动">滚动</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ae%b9/" title="内容">内容</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e7%a0%81/" title="页码">页码</a>, <a href="https://www.iamivan.net/tag/js%e6%bb%9a%e5%8a%a8%e5%8a%a0%e8%bd%bd%e5%86%85%e5%ae%b9/" title="js滚动加载内容">js滚动加载内容</a>, <a href="https://www.iamivan.net/tag/js%e6%95%b0%e6%8d%ae%e6%97%a0%e9%99%90%e5%8a%a0%e8%bd%bd/" title="js数据无限加载">js数据无限加载</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e8%bd%bd%e6%96%b9%e5%bc%8f/" title="加载方式">加载方式</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e9%99%90/" title="无限">无限</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e9%99%90%e5%8a%a0%e8%bd%bd/" title="无限加载">无限加载</a>, <a href="https://www.iamivan.net/tag/ios%e6%97%a0%e9%99%90%e6%bb%9a%e5%8a%a8/" title="ios无限滚动">ios无限滚动</a>, <a href="https://www.iamivan.net/tag/%e6%bb%9a%e5%8a%a8%e5%8a%a0%e8%bd%bd%e6%95%b0%e6%8d%ae/" title="滚动加载数据">滚动加载数据</a>, <a href="https://www.iamivan.net/tag/vue-js%e6%97%a0%e9%99%90%e5%8a%a0%e8%bd%bd/" title="Vue&period;js无限加载">Vue&period;js无限加载</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>“无限滚动加载”适用于你的产品吗？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPr4Ep.html" rel="bookmark">无限滚动加载&rdquo;适用于你的产品吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编者按]本文作者http://www.aliyun.com/zixun/aggregation/16478.html&quot;&gt;Danielle Arad,一名用户体验专家,译者@C7210.怎样通过更友好的方式来呈现一系列的数据内容,包括文章.链接.图片.搜索结果等等--对于设计师来说,这不是一件很轻松的事. 在这方面,页码导航(pagination)是一种经过时间验证的.还算值得信赖的解决方案. 不过最近几年,我们可以发现越来越多的网站开始使用无限滚动(infinite scrolling)的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MryNVVb.html" rel="bookmark">网站用户体验：&OpenCurlyDoubleQuote;无限滚动加载&rdquo;适用于你的产品吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 [编者按]本文作者Danielle Arad,一名用户体验专家,译者@C7210.怎样通过更友好的方式来呈现一系列的数据内容,包括文章.链接.图片.搜索结果等等--对于设计师来说,这不是一件很轻松的事. 在这方面,页码导航(pagination)是一种经过时间验证的.还算值得信赖的解决方案. 不过最近几年,我们可以发现越来越多的网站开始使用无限滚动(infinite scrolling)的方式来呈现内容了--当用户浏览到页面底部时,传统意义上的&quot;下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRA0Xz.html" rel="bookmark">【干货】设计高性能无限滚动加载，了解高效页面秘密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UX Planet论坛上有过这么一篇热门文章: Infinite Scrolling Best Practices,它从UX角度分析了无限滚动加载的设计实践. 无限滚动加载在互联网上到处都有应用: 豆瓣首页是一个,Facebook的Timeline是一个,Tweeter的话题列表也是一个.当你向下滚动,新的内容就神奇的&quot;无中生有&quot;了.这是一个得到广泛赞扬的用户体验. 无限滚动加载背后的技术挑战其实比想象中要多不少.尤其是要考虑页面性能,需要做到极致. 本文通过代码实例,来实现一个无限滚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqOyGz.html" rel="bookmark">淘宝网滚动加载图片及刷新回顶部的做法讨论</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 淘宝图片处理讨论   淘宝网页面很大,但是打开速度很快.其对图片处理是运用了滚动加载,就是滚动轴滚到哪里,图片在哪里加载.但是你想查看他的源代码,那要费九牛二虎之力吧,因为他们代码压缩合并做的很好!因为图片是滚动加载的,初始化的时候图片不加载,那么当你在页面底部刷新页面的时候,底部的页面通常不会加载出来,淘宝网的做法貌似是(因为我没有看他们的源代码,只是凭操作),刷新让页面回到顶部.   模仿淘宝,做滚动图片加载   我不知道淘宝网是如何做滚动加载的,但是我之前有篇文章,介绍了滚动加载,有兴趣			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdBr3b.html" rel="bookmark">移动设备的HTML页面中图片实现滚动加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如今移动互联网风靡全球,移动页面的元素也是丰富多彩,一个移动页面的图片超过10张已经是再正常不过的事情了.但是相对,很多移动用户还停留在2G,3G这样的网络中.那么这样带宽的用户,在浏览这样的页面时,要把页面加载完毕,可能就需要10s,20s甚至更多,严重影响用户的体验.针对这样的问题,让页面中的图片滚动加载(图片出现在显示器屏幕上时再加载图片)显得非常重要!这样也可以有效地节省我们服务器的带宽和解决请求大并发的问题. 1.效果图.     这是加载过程中的图片菊花显示            			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKr2EM.html" rel="bookmark">浏览器窗口滚动加载数据采用异步形式从后台加载数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在滚动条距顶部距离(页面超出窗口的高度)时采用异步形式从后台加载数据,下面是具体的实现,希望对大家有所帮助 以下滚动效果为在网上查找.    在滚动条距顶部距离(页面超出窗口的高度)时采用异步形式从后台加载数据  代码如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeBehind=&quot;ScrollLoadData.aspx.cs&quot; Inherits=&quot;WebApplicat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOaJ2vM.html" rel="bookmark">jquery滚动加载数据的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了jquery滚动加载数据的方法,实例分析了jQuery动态加载数据的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了jquery滚动加载数据的方法.分享给大家供大家参考.具体分析如下: 我们浏览有些网页的时候,当拉动浏览器的滚动条时到页底时,页面会继续自动加载更多内容供用户浏览.这种技术我暂且称它为滚屏加载技术,我们发现很多网站用到这种技术,例如新浪微博.QQ空间等. 代码如下: 代码如下: &lt;!DOCTYPE=html&gt; &lt;html&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR26jz.html" rel="bookmark">jQuery滚动加载图片实现原理&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要通过以下几方面来说明懒加载技术的原理,个人前端小菜,有错误请多多指出 一.什么是图片滚动加载? 通俗的讲就是:当访问一个页面的时候,先把img元素或是其他元素的背景图片路径替换成一张大小为1*1px图片的路径(这样就只需请求一次),只有当图片出现在浏览器的可视区域内时,才设置图片正真的路径,让图片显示出来.这就是图片懒加载. 二.为什要使用这个技术? 比如一个页面中有很多图片,如淘宝.京东首页等等,如果一上来就发送这么多请求,页面加载就会很漫长,如果js文件都放在了文档的底部,恰巧页面的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NRWqz.html" rel="bookmark">javascript-&num;前端&num;一次性请求数据，然后滚动加载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 #前端#一次性请求数据,然后滚动加载 #前端#如果页面数据是一次性全部加载进来,但是只在页面上显示8条,我要滚动加载显示后面的数据,如何做,或是有什么思路 解决方案 已解决: $(window).scroll(function(){ //当滚动到底部的时候,判断是否有8条数据,如果大于8条则显示前8条:如果小于8条,则全显示 var scrollTop = $(this).scrollTop(); var scrollHeight = $(document).height(); var			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze6m0b.html" rel="bookmark" class="title">如何在服务器上虚拟化多个windows供实验室同学们使用？</a>
					<div>
						问题描述 如何在服务器上虚拟化多个windows供实验室同学们使用? 实验室现有一台比较空闲的IBM x3850 X5服务器,而实验室同学大多电脑性能较差,不堪使用.能不能用虚拟化技术或者Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgVLBb.html" rel="bookmark" class="title">Windows服务有&OpenCurlyDoubleQuote;备&rdquo;无患</a>
					<div>
						window 在局域网环境中,网管往往非常重视对Windows服务器硬盘中的用户数据文件的备份,而忽视了对Windows系统本身提供的各种服务的状态信息和服务数据的备份,如IIS服务.DHCP服务.D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaa4nb.html" rel="bookmark" class="title">javascript 布尔值&colon;2&period;3 javaScript 布尔类型</a>
					<div>
						&lt;script&gt;if (navigator.cookieEnabled){alert(&quot;浏览器允许使用Cookie&quot;);}else{alert(&quot;浏览器禁用C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO9VRM.html" rel="bookmark" class="title">Eclipse插件的安装与配置</a>
					<div>
						安装时有些小问题值得注意: 1.下载时注意Eclipse和Lomboz版本号很重要 一般来说相同版本号的才比较兼容. 即:2.0的Eclipse对应插件就装2.0的Lomboz:Eclipse3.01 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDPmOz.html" rel="bookmark" class="title">SQL Server中取汉字拼音的函数</a>
					<div>
						Create  function fun_getPY  (     @str nvarchar(4000)  ) returns nvarchar(4000) as begin   declare @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNwKNp.html" rel="bookmark" class="title">B2C网站设计&colon;用户注册登录流程和购买流程设计</a>
					<div>
						网络购物网站根据买家和卖家的不同形态,主要分为三类商业模式:B2B  B2C  C2C ,这三种商业模式在传统的线下也有相对应的典型形态:  B2B 对应专业的批发市场  B2C 对应购物超市  C2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyxW4b.html" rel="bookmark" class="title">提高网站用户体验之将心比心</a>
					<div>
						网站用户体验搜索引擎越来越重视,毕竟搜索引擎也是服务于用户,如果用户搜索苹果出来的却是香蕉,那用户肯定也会换搜索引擎,因此,搜索引擎跟站长们一样重视用户体验,这也将会成为搜索引擎评判一个网站质量好坏的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO4JAM.html" rel="bookmark" class="title">使用增强型PreparedStatement向JDBC代码增加日志功能</a>
					<div>
						在大多数情况下,JDBC PreparedStatements 使执行数据库查询更简便并可以显著提升您整体应用程序的性能.当谈到日志查询语句时 PreparedStatement 接口就显得有些不足了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl3gOb.html" rel="bookmark" class="title">Android是如何实现应用程序之间数据共享的？</a>
					<div>
						一个应用程序可以将自己的数据完全暴露出去,外界更本看不到,也不用看到这个应用程序暴露的数据是如何存储的,或者是使用数据库还是使用文件,还是通过网上获得,这些一切都不重要,重要的是外界可以通过这一套标准 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK6EOM.html" rel="bookmark" class="title">用iSee制作透明底的水印</a>
					<div>
						先来看看水印效果,喜欢的话,下面有教程,可以跟着做,很简单哒~(≧▽≦)/       1.新建一张空白的图片,啥颜色都可以,最好是白色嗒,大小随意就好╮(╯▽╰)╭     2.添加文字或者图片到空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB23AAb.html" rel="bookmark" class="title">网速慢的解决方法</a>
					<div>
						电信,网通都为用户提供了几种不同档次的网速可以选择. 一般家用的有1M. 2M 还有极速8M的. 我用的是电信ADSL2M的,每天费用是2元钱. 速度还可以啦,用BT下载的时候,一般都在210K左右. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAa8Wb.html" rel="bookmark" class="title">光纤怎么连接无线路由器</a>
					<div>
						  光纤连接无线路由器方法如下: 第一步:硬件部分的连接.用一根网线将光猫的任意一个网口与无线路由器的WLAN口相连,局域网中的其它电脑需要通过有线方式上网的,就可以通过网线将电脑的网上与无线路由器的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwgnmb.html" rel="bookmark" class="title">BeautifulSoup学习笔记</a>
					<div>
						from BeautifulSoup import BeautifulSoup import re   doc = ['&lt;html&gt;&lt;head&gt;&lt;title&gt;Pag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwvnKb.html" rel="bookmark" class="title">是福音，还是隐患：中国网民总数将达7&period;5亿</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 日前,全球最著名的咨询公司&quot;麦肯锡发&quot;发面了一份报告,报告中指出,到2015年,中我的网名总数将超过7.5亿,届时将超过中国总要口数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk7m6b.html" rel="bookmark" class="title">图片ALT属性的SEO原则总结</a>
					<div>
						图片ALT属性的SEO原则总结如下:1,对于非链接图片的ALT文字,应主要从描述图片的角度考虑.虽然Google会读这些文字,但其重要性比正文内容文字要低的多.鉴于Google认为使用ALT属性的网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRLwvz.html" rel="bookmark" class="title">修改远程桌面连接端口</a>
					<div>
						一般Web服务器放在公网上以后,有些为了方便远程操作,所以打开了远程桌面连接.这样是很不安全的,黑客在扫描到服务器开启了3389端口以后很多都是利用这个端口发起攻击.为了降低风险而又想使用远程桌面连接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NYqqM.html" rel="bookmark" class="title">mysql删除用户显示No database selected</a>
					<div>
						问题描述 mysql删除用户显示No database selected 刚接触mysql,创建了一个用户yeyadmin,但是没有为它创建数据库,隔几天之后,想删除掉这个用户,用命令DELETE F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPVPvp.html" rel="bookmark" class="title">《Java语言导学（原书第6版）》一1&period;5　问题和练习：快速入门</a>
					<div>
						1.5 问题和练习:快速入门 问题 1. 编译Java程序时,编译器会将源文件翻译成Java虚拟机能识别的平台无关的代码.这种平台无关的代码叫什么? 2. 下述哪项不是有效的代码注释? 若运行时出现下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1YEOz.html" rel="bookmark" class="title">迎战新兴挑战 Mellanox发布全新以太网产品</a>
					<div>
						随着互联网+时代的推进,可以看到上网的人数在快速增长,上网终端数量成倍增长,移动和社交的发展,源源不断的产生大量的数据.互联网规模不断增加,作为云基础设施的计算网络和存储同步发展.Mellanox面向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AVm4z.html" rel="bookmark" class="title">交换机建立局域网，以及，arp攻击的问题。</a>
					<div>
						问题描述 宿舍有3个人一起打游戏,魔兽争霸,dota.晚上玩的时间有时候太长了,影响其他人的休息,大家都懂的.配置:笔记本,水星的八口交换机.笔记本上的ip设置为自动获取ip.我利用P2P终结者,以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKrY6b.html" rel="bookmark" class="title">线下沙龙深圳站回顾 &vert; 夏天最正确的打开方式，就是干货满满的学术趴</a>
					<div>
						自 8 月 21 日线下沙龙开启报名 我们迎来了两百多位小伙伴的踊跃参与 炎热的天气未能褪减大家的热情 我们一起度过了收获颇丰的周末 PaperWeekly已经记录了下来 8 月 26 日这天 我们经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy7jAz.html" rel="bookmark" class="title">伪造WiFi如何欺骗你的手机？</a>
					<div>
						    经常有白帽子跟宅客君说,只要你开着WiFi,我就有办法拿到你手机的敏感信息.作为演示,他们经常可以(在未见过的情况下)直接说出手机品牌,并给出一些敏感文件的信息. 他们利用的是一种&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnvoPM.html" rel="bookmark" class="title">登陆成功不能聊天</a>
					<div>
						问题描述 直接通过我们自己的服务器去登录环信,登录成功之后不能聊天是怎么回事? 解决方案 必须通过客户端sdk登录才能聊天,客户端跟服务器之间没有长连接不能聊天.解决方案二:谢谢楼主,真是太好了sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq11jb.html" rel="bookmark" class="title">gpu c语言-关于gpu计算后所得值的情况</a>
					<div>
						问题描述 关于gpu计算后所得值的情况 一组数据在gpu上计算,在什么情况下得到的结果没有值,画出来的图的色标上没有任何值.求解 解决方案 算出来的数据格式不对,或者是错误数据? 解决方案二: 把坐标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBoykz.html" rel="bookmark" class="title">java打猎小游戏中如何加入音乐</a>
					<div>
						问题描述 java打猎小游戏中如何加入音乐 解决方案 解决方案二:importjava.awt.*;importjava.awt.event.*;importjavax.swing.*;publicc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO36wb.html" rel="bookmark" class="title">asp&period;net 计算时间日期间隔实现代码</a>
					<div>
						先来看个最简单的计算时间差的.net代码  代码如下 复制代码 DateTime dt1 = new DateTime(2005,5,6,15,36,05);    DateTime dt2 = ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NVgZb.html" rel="bookmark" class="title">2014 年最热门的21款JavaScript框架推荐&lowbar;javascript技巧</a>
					<div>
						下面,我们将会介绍 2014 年最火的 21 款JavaScript 框架,专为前端开发者准备的哦:)众所周知, JavaScript 框架是 JavaScript编程语言最棒的特性之一. JavaS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2086z.html" rel="bookmark" class="title">Android TextView高级显示技巧实例小结&lowbar;Android</a>
					<div>
						本文实例总结了Android TextView高级显示技巧.分享给大家供大家参考,具体如下: 1. 自定义字体 可以使用setTypeface(Typeface)方法来设置文本框内文本的字体,而And ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q9XAp.html" rel="bookmark" class="title">Centos系统下安装PHP扩展各种方法总结</a>
					<div>
						安装PHP扩展 # wget http://pecl.php.net/get/gearman-1.1.1.tgz # tar zxvf gearman-1.1.1.tgz # cd gearman-1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW58Kz.html" rel="bookmark" class="title">用jQuery toggleClass 实现鼠标移上变色&lowbar;jquery</a>
					<div>
						按钮移上变色效果 复制代码 代码如下: &lt;style&gt; .round-corner-btn { -moz-border-radius:4px; -webkit-border-radius: ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
